org.apache.tinkerpop.gremlin.jsr223

## Interface GremlinScriptEngineFactory

- All Superinterfaces:
    ScriptEngineFactory
  All Known Implementing Classes:
    AbstractGremlinScriptEngineFactory, GremlinGroovyScriptEngineFactory, GremlinLangScriptEngineFactory, MockGremlinScriptEngineFactory

      public interface GremlinScriptEngineFactory
      extends ScriptEngineFactory

  Creates a `GremlinScriptEngine` implementation and supplies to it any `Customizer` implementations to it that are available on the `GremlinScriptEngineManager`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GremlinScriptEngine` | `getScriptEngine()` Creates a new `GremlinScriptEngine` instance.
    `void` | `setCustomizerManager(GremlinScriptEngineManager manager)` The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.

    - ### Methods inherited from interface javax.script.ScriptEngineFactory

      `getEngineName, getEngineVersion, getExtensions, getLanguageName, getLanguageVersion, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram`

- - ### Method Detail

    - #### getScriptEngine

          GremlinScriptEngine getScriptEngine()

      Creates a new `GremlinScriptEngine` instance. Unlike the JSR-223 implementation, the semantics for this interface expect a "new" instance to be created for each call to this method. Caching or pooling is something to be handled by a `GremlinScriptEngineManager`.
      Specified by:
        `getScriptEngine` in interface `ScriptEngineFactory`

    - #### setCustomizerManager

          void setCustomizerManager(GremlinScriptEngineManager manager)

      The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.